//
//  ExploreWokaVC.swift
//  WOKA
//
//  Created by MacBook Pro on 21/05/24.
//

import UIKit

class ExploreWokaVC: UIViewController {

    @IBOutlet weak var blurView: UIView!
    @IBOutlet weak var extraView: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        drawBackgroundBlur()
        // Do any additional setup after loading the view.
    }
    
    func drawBackgroundBlur() {
        let blurEffect = UIBlurEffect(style: .light)
        let blurredView = UIVisualEffectView(effect: blurEffect)
        blurredView.frame = self.view.bounds
        blurredView.alpha = 0.95
        self.extraView.addSubview(blurredView)
        
        let vibrancyEffect = UIVibrancyEffect(blurEffect: blurEffect)
        let vibrancyView = UIVisualEffectView(effect: vibrancyEffect)
        vibrancyView.translatesAutoresizingMaskIntoConstraints = false
        vibrancyView.contentView.addSubview(blurView)
        blurredView.contentView.addSubview(vibrancyView)
    }
    
    @IBAction func closeTapped(_ sender: UIButton) {
        self.dismiss(animated: true)
    }
}
